/*****
 NAME
	fbasic.h - basic functions header file
 VERSION
	$Id$
 CHANGELOG
	$Log$
 */

#if !defined(FBASIC_H_INCLUDED)
#define FBASIC_H_INCLUDED

#include <coconut/tbasic.h>

void print_string_data(const void * data, const void * param) ;
void print_int_data(const void * data, const void * param) ;

int equal_int_data(const void * p1, const void * p2) ;

boolean	isNotRejectedSelection(selection_t sel) ;
boolean	isAcceptedSelection(selection_t sel) ;

/* return the formatting command for printf function such as "%d", "%x". */
const char * intFormat2PrintFormat(int_format_t form) ;

#endif /* !defined(FBASIC_H_INCLUDED) */

